@echo off
choice /c123456789abcdef˙/t˙,1/n
%1 %2 %3 %4 %5 %6 %7 %8 %9
for %%a in (0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 86 254 255) do if errorlevel %%a set x=%%a
:if errorlevel 16 if not errorlevel 86 goto end
echo.
echo Errorlevel %x% (%1)
:end
set x=
